<?php 
namespace Concrete\Package\VividLocations\Block\VividLocationsVcard;
use \Concrete\Core\Block\BlockController;
use Database;
use Page;

defined('C5_EXECUTE') or die(_("Access Denied.")); 
class Controller extends BlockController
{
		
	protected $btTable = 'btLocationsVCard';
    protected $btInterfaceWidth = "400";
    protected $btWrapperClass = 'ccm-ui';
    protected $btInterfaceHeight = "365";
    protected $btDefaultSet = 'multimedia';

    public function getBlockTypeDescription()
    {
        return t("Add Locations vCard to the page");
    }

    public function getBlockTypeName()
    {
        return t("Location vCard");
    }

	public function getLocations(){
		$db = Database::get(); 
		$locations = $db->GetAll("SELECT * FROM VividLocations");
		$locationNames = array();
		foreach($locations as $location){
			$lID = $location['lID'];
			$locationName = $location['locationName'];
			$locationNames[$lID]=$locationName;
		}
		$this->set("locationNames",$locationNames);
	}
	public function add(){
		$this->getLocations();
	}
	public function edit(){
		$this->getLocations();
	}
	public function view(){
        $db = Database::get();   
        $lID = $this->location;
        $locationInfo = $db->GetRow("SELECT * FROM VividLocations WHERE lID=?",$lID);
        $this->set("locationInfo",$locationInfo);
    }
}
	
?>