<?php  defined('C5_EXECUTE') or die("Access Denied.");?>

	<?php  if ($controller->getTask() == 'add' || $controller->getTask() == 'edit'){ //if adding a location ?>
	<form method="post" class="" action="<?php echo $view->action('submit')?>">
		
		<?php  
		if($controller->getTask()=="edit"){
		  extract($location); 
        }
		?>
		
	    <input type="hidden" name="lID" value="<?php echo $lID?>">
	    
	    <div class="row">
	        <div class="col-sm-6 form-horizontal">
	            <div class="form-group">
                    <?php  echo $form->label('locationName', t('Location Name'), array('class' => 'col-md-4'))?>
                    <div class="col-md-8">
                        <?php  echo $form->text('locationName', $locationName,array("maxlength"=>"50"))?>
                    </div>
                </div>
                
                <div class="form-group">
                    <?php  echo $form->label('address1', t('Address Line 1'), array('class' => 'col-md-4'))?>
                    <div class="col-md-8">
                        <?php  echo $form->text('address1', $address1,array("maxlength"=>"50"))?>
                    </div>
                </div>
                
                <div class="form-group">
                    <?php  echo $form->label('address2', t('Address Line 2'), array('class' => 'col-md-4'))?>
                    <div class="col-md-8">
                        <?php  echo $form->text('address2', $address2,array("maxlength"=>"50"))?>
                    </div>
                </div>
                
                <div class="form-group">
                    <?php  echo $form->label('city', t('City'), array('class' => 'col-md-4'))?>
                    <div class="col-md-8">
                        <?php  echo $form->text('city', $city,array("maxlength"=>"50"))?>
                    </div>
                </div>
                
                <div class="form-group">
                    <?php  echo $form->label('state', t('State'), array('class' => 'col-md-4'))?>
                    <div class="col-md-8">
                        <?php  echo $form->text('state', $state,array("maxlength"=>"50"))?>
                    </div>
                </div>
                
                <div class="form-group">
                    <?php  echo $form->label('postalCode', t('Postal Code'), array('class' => 'col-md-4'))?>
                    <div class="col-md-8">
                        <?php  echo $form->text('postalCode', $postalCode,array("maxlength"=>"50"))?>
                    </div>
                </div>
                
                <div class="form-group">
                    <?php  echo $form->label('ph1label', t('Phone Number 1 Label'), array('class' => 'col-md-4'))?>
                    <div class="col-md-8">
                        <?php  echo $form->text('ph1Label', $ph1Label,array("maxlength"=>"50"))?>
                    </div>
                </div>
                
                <div class="form-group">
                    <?php  echo $form->label('ph1', t('Phone Number 1'), array('class' => 'col-md-4'))?>
                    <div class="col-md-8">
                        <?php  echo $form->text('ph1', $ph1,array("maxlength"=>"50"))?>
                    </div>
                </div>
                
                <div class="form-group">
                    <?php  echo $form->label('ph1label', t('Phone Number 2 Label'), array('class' => 'col-md-4'))?>
                    <div class="col-md-8">
                        <?php  echo $form->text('ph2Label', $ph2Label,array("maxlength"=>"50"))?>
                    </div>
                </div>
                
                <div class="form-group">
                    <?php  echo $form->label('ph2', t('Phone Number 2'), array('class' => 'col-md-4'))?>
                    <div class="col-md-8">
                        <?php  echo $form->text('ph2', $ph2,array("maxlength"=>"50"))?>
                    </div>
                </div>
	        </div>
	        <div class="col-sm-6 col-md-offset-1 col-md-5">
	            <div class="alert alert-info"><?php echo t('Once you have entered your address, city and postal code, click "Get GeoLocation" to get the latitude/longitude')?></div>
	            <p id="btn-get-geolocation"><a class="btn btn-primary" href="javascript:getGeoLocation();"><?php echo t('Get GeoLocation')?></a></p>
	            <div class="form-group">
	                <?php  echo $form->label('geolat',t('Latitude'));?>
	                <?php  echo $form->text('geolat',$geolat,array("maxlength"=>"50"));?>
	            </div>
	            <div class="form-group">
                    <?php  echo $form->label('geolong',t('Longitude'));?>
                    <?php  echo $form->text('geolong',$geolong,array("maxlength"=>"50"));?>
                </div>
	        </div>
	    </div>
	    
        
	    <div class="ccm-dashboard-form-actions-wrapper">
	        <div class="ccm-dashboard-form-actions">
	            <a href="<?php  echo URL::to('/dashboard/system/basics/locations/')?>" class="btn btn-default pull-left"><?php  echo t("Cancel")?></a>
	            <button class="pull-right btn btn-success" type="submit" ><?php echo t('Add Location')?></button>
	        </div>
	    </div>

	</form>
	
	<script type="text/javascript" src="//maps.google.com/maps/api/js?sensor=true"></script> 
	<script type="text/javascript">
	   // $(function(){
	        function getGeoLocation(){
	            $('#geoerrors').remove();
	            var errors = [];
	            var address1 = $("#address1").val();
	            var address2 = $("#address2").val();
	            var city = $("#city").val();
	            var state = $("#state").val();
	            var postalcode = $("#postalCode").val();
	            if(address1.length < 3){
	                errors.push("<?php echo t('Address1 is empty')?>");
	            }
	            if(city.length < 3){
                    errors.push("<?php echo t('City is empty')?>");
                }
                if(postalcode.length < 3){
                    errors.push("<?php echo t('Postal Code is empty')?>");
                }
                if(errors.length > 0){
                   $("#btn-get-geolocation").after("<p id='geoerrors' class='alert alert-danger'>");
                   for(var i=0; i<errors.length;i++){
                       $("#geoerrors").append(errors[i]+"<br>");
                   }
                }
                else{
                    var geocoder = new google.maps.Geocoder();
                    var address = address1 + " " + address2 + " " + city + " " + state + " " + postalcode;
                    geocoder.geocode({'address': address}, function(results, status) {
                        if (status == google.maps.GeocoderStatus.OK){
                            //alert("okay");
                            var lat = results[0].geometry.location.lat();
                            var lng = results[0].geometry.location.lng();
                            $("#geolat").val(lat);
                            $("#geolong").val(lng);
                        }
                    });
                }
	            
	        }
	    //});
	</script>
	
	<?php  } else { // if we're not adding links, we're showing them ?>
	
		<div class="ccm-dashboard-header-buttons">
	        <a href="<?php  echo View::url('/dashboard/system/basics/locations', 'add')?>" class="btn btn-primary"><?php  echo t("Add Location")?></a>
	    </div>
	
	    <table class="table table-striped">
	    	
	    	<thead>
	    		<tr>
	    			<th><?php echo t('Location Name')?></th>
	    			<th><?php echo t('Address')?></th>
	    			<th><?php echo t('Phone Number')?></th>
	    			<th><?php echo t('Phone Number 2')?></th>
	    			<th><?php echo t('Actions')?></th>
	    		</tr>
	    	</thead>
	    	<tbody>
	    		<?php  foreach($locations as $location){ ?>
	    		<tr>
	    			<td><?php echo $location['locationName']?></td>
	    			<td><?php echo $location['address1']?> <?php echo $location['address2']?> | <?php echo $location['city']?>, <?php echo $location['state']?> <?php echo $location['postalCode']?></td>
	    			<td><?php echo $location['ph1']?></td>
	    			<td><?php echo $location['ph2']?></td>
	    			<td>
	    				<a href="<?php  echo View::url('/dashboard/system/basics/locations/edit', $location['lID'])?>" class="btn btn-default"><?php echo t('Edit')?></a> 
	    				<a href="<?php  echo View::url('/dashboard/system/basics/locations/delete', $location['lID'])?>" class="btn btn-danger"><?php echo t('Delete')?></a>
	    			</td>
	    		</tr>
	    		<?php  } ?>
	    	</tbody>
	    	
	    </table>
	
	
	<?php  } ?>
    



